{
  config,
  lib,
  pkgs,
  modulesPath,
  ...
}:
{
  system.stateVersion = "24.11";

  nix = {
    settings = {
      experimental-features = [
        "nix-command"
        "flakes"
        "inetutils"
      ];
    };
  };

  environment.systemPackages = with pkgs; [
    git
    htop
  ];

  networking.firewall = {
    enable = true;
    allowedTCPPorts = [ 80 443 ];
  };
}
